org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyAnnotationRef

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyAnnotationRef

- All Implemented Interfaces:
    GroovyAnnotationRef

      public class SimpleGroovyAnnotationRef
      extends java.lang.Object
      implements GroovyAnnotationRef

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGroovyAnnotationRef(java.lang.String name, java.lang.String desc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()` The string representation of the annotation reference.
    `boolean` | `isTypeAvailable()`
    `java.lang.String` | `name()` Name of the annotation being referenced.
    `void` | `setName(java.lang.String name)`
    `void` | `setType(GroovyClassDoc type)`
    `GroovyClassDoc` | `type()` The annotation being referenced.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleGroovyAnnotationRef

          public SimpleGroovyAnnotationRef(java.lang.String name,
                                           java.lang.String desc)

  - ### Method Detail

    - #### setType

          public void setType(GroovyClassDoc type)

    - #### type

          public GroovyClassDoc type()

      Description copied from interface: `GroovyAnnotationRef`
      The annotation being referenced.
      Specified by:
        `type` in interface `GroovyAnnotationRef`
      Returns:
        the annotation being referenced

    - #### isTypeAvailable

          public boolean isTypeAvailable()

    - #### name

          public java.lang.String name()

      Description copied from interface: `GroovyAnnotationRef`
      Name of the annotation being referenced. Once resolved, equates to `type().typeName()`.
      Specified by:
        `name` in interface `GroovyAnnotationRef`
      Returns:
        the name of the annotation reference

    - #### setName

          public void setName(java.lang.String name)

    - #### description

          public java.lang.String description()

      Description copied from interface: `GroovyAnnotationRef`
      The string representation of the annotation reference. Initially implemented as a temporary hack stored from the source. To be replaced with strong-typed finer grained information.
      Specified by:
        `description` in interface `GroovyAnnotationRef`
      Returns:
        the text representation of the annotation ref